Page MenuHomePhabricator

Requesting CL support for graduating New Filters on Watchlist out of beta (this June!)
Closed, ResolvedPublic

Description

As promised in the Annual Plan, we will make the New Filters—currently in beta on Watchlist— standard for all wikis by the end of Q4 2017-18 (end of this June). The main task is captured in T181193.

There are currently something like 50K users of the beta; these folks will see no change. And we will offer a New Filters opt-out for Watchlist, just as we did for Recent Changes, so there is an escape for people who wish one. And we will, as before, provide introductory notices to people when they see the new UX for the first time—including specific information about how to opt out (see T195427).

Despite all this, I think we can expect a certain amount of blowback on this release, compared to the release of the New Filters on Recent Changes, for the following reasons:

  • Users, who are very sensitive to such things, will notice a small but appreciable difference in load times with the new UI compared to the old. We've done everything we can to reduce this already.
  • In usability tests, users tended to see the New Filters as nice but not essential on Watchlist (compared to Recent Changes). This means that any cost (e.g., the slower load) feels more burdensome.
  • Watchlist is a more widely used page than Recent Changes.
  • Users must, of course, learn the new tools and change their habits accordingly, which takes effort.

For these reasons, we'll need to be thorough in notifying users and explaining the benefits of the new system, so CL help will be essential.

Related Objects

Event Timeline

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptMay 24 2018, 7:06 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Trizek-WMF triaged this task as High priority.
Trizek-WMF moved this task from Untriaged to Hot on the Collaboration-Team-Triage board.

I'll apply an already well-tried method: spam everyone T171030#3549355 :)

Dear Tech Ambassadors, that deployment is I think the first big one for you. :)
In short:

Reasons of that deployment

  • offers already in use on RCs features like Live Update, superior filtering, ORES filtering...
  • addresses some of the issues of having very large watchlists --especially with use of bookmarks. People can create sort of personal watchlists through saved filters and more filtering options.
  • Tested by 50k users over the wikis, no big blocking feedback since end of Sept. 2017 (8 months ago)

We’re going to let people opt out, in an easy way (click on one button when accessing the watchlist and done).

When

  • First batch of wikis: all wikis except the ones listed on T171030#3549355 - week of the 18th of June.
  • Second batch: al remaining wikis (aka the ones listed on T171030#3549355) - week of the 25th of June if things go well, later if not.
  • Third batch, for wikis with concerns and actionable blockers, identified as such by the development team (whether they are sensible, consistent with the project, actionable, realistic, measurable…): not later that the end of July.

More details to come! Please do not share it now on your wiki! We will synchronize soon.

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptMay 29 2018, 7:16 PM

Great. One question: For those who prefer do use it hardcoded, but use stright URL, or who does not want to use the new filters at all (I know about one person at least), will there be a way to opt out, as for recent changes? And if yes, there will be a button per page or a button for both?

Great. One question: For those who prefer do use it hardcoded, but use stright URL, or who does not want to use the new filters at all (I know about one person at least), will there be a way to opt out, as for recent changes? And if yes, there will be a button per page or a button for both?

There will be separate opt-out preferences for Watchlist and Recent Changes. Out of curiosity: why do you ask?

There will be separate opt-out preferences for Watchlist and Recent Changes. Out of curiosity: why do you ask?

Thank you. Because the new filters are very useful, but it's impossible to run them on mobiles with desktop version. The solution is opting out, and adding a gadget that puts a link to the new version on the page with the old version. On mobile it's down. Otherwise it takes two clicks to open normal RC or WL special page in place of regular one.

Just a little suggestion how about putting a little notice in Special:Watchlist itself, informing about the new Watchlist UI that will be landing in a few days and thus preparing the users instead of surprising them. It could also inform them that they would find instructions to disable it once it is deployed. I'm not sure if this has already been tried.

Just a little suggestion how about putting a little notice in Special:Watchlist itself, informing about the new Watchlist UI that will be landing in a few days and thus preparing the users instead of surprising them. It could also inform them that they would find instructions to disable it once it is deployed.

That's an idea to consider, thank you for suggesting it.

Concerning the instructions, the plan as of now is to provide a button to directly disable the filters, from the watchlist itself. See T195427: Introduce the New Filters to Watchlist users upon beta graduation (and provide instant opt-out) about that.

I'm not sure if this has already been tried.

I don't think it has been tried.

I've created a different ticket concerning Tech Ambassadors support: T195993: Coordinate with Tech Ambassadors for graduating New Filters on Watchlist out of beta
Please keep that page only for wikis not supported by ambassadors actions.

Added to Tech News.
I'll add a new note when we are going to make the first release.

A mass message has been sent to wikis where ambassadors haven't shared the announcement.

Deployment is next week for the first batch of wikis. So far:

  • there is a line on Tech News for this week, like on last week
  • all major wikis got an announcement on a central place
  • there is no feedback oustide of the usual comments
Vvjjkkii renamed this task from Requesting CL support for graduating New Filters on Watchlist out of beta (this June!) to 8bcaaaaaaa.Jul 1 2018, 1:08 AM
Vvjjkkii removed Trizek-WMF as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
Kaartic renamed this task from 8bcaaaaaaa to Requesting CL support for graduating New Filters on Watchlist out of beta (this June!).Jul 1 2018, 1:41 PM
Kaartic assigned this task to Trizek-WMF.
Kaartic updated the task description. (Show Details)
Kaartic added a subscriber: Aklapper.
Restricted Application added a project: Growth-Team. · View Herald TranscriptJul 17 2018, 9:48 AM

The deployment is now done.

Trizek-WMF closed this task as Resolved.Jul 17 2018, 9:48 AM
Trizek-WMF reopened this task as Open.Jul 18 2018, 8:20 AM
Trizek-WMF lowered the priority of this task from High to Normal.

Re-opening for administrativa purposes: I'm still handling some feedback and replying to questions about the interface.

Trizek-WMF moved this task from Inbox to Q1 2018-19 on the Growth-Team board.Jul 18 2018, 8:21 AM
Trizek-WMF closed this task as Resolved.Jul 25 2018, 5:33 PM

Now considered as done.

Elitre added a comment.Oct 5 2018, 9:24 AM

Satisfaction survey reply received.